Page MenuHomePhabricator

UserIsBlockedFrom is ignored on mobile until the user attempts to publish
Closed, DuplicatePublic

Description

MobileFrontned uses it's own logic to determine if a user can edit a particular page or not:
https://phabricator.wikimedia.org/diffusion/EMFR/browse/master/resources/mobile.editor.overlay/EditorOverlay.js;f4c03a10ce202eb70b7b4efd1fe62f58d2c057b0$377

This means any implementations of UserIsBlockedFrom is ignored and the client will assume the user can edit page they may not be able to edit. They wont know they are blocked from editing that page until they attempt to publish the edit and publishing fails.

Event Timeline

dbarratt created this task.May 13 2018, 4:49 AM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptMay 13 2018, 4:49 AM
dbarratt updated the task description. (Show Details)May 13 2018, 5:05 AM

@dbarratt: This bug needs a better title. The bug isn't that MobileFrontend uses it's own logic, it's that the UserIsBlockedFrom hook has no effect on mobile. Please fix.

dbarratt renamed this task from MobileFrontend uses it's own logic to determine if a user is blocked from editing a specific page to UserIsBlockedFrom is ignored on mobile until the user attempts to publish.May 15 2018, 6:35 PM
dmaza added a subscriber: dmaza.May 15 2018, 6:48 PM

@dbarratt do you know what's the experience on mobile apps? Should we care?

dbarratt added a comment.EditedMay 15 2018, 6:50 PM

@dbarratt do you know what's the experience on mobile apps? Should we care?

I have no idea.... although it's all going to be using API editing, and afaik, there isn't a way to know if the user is blocked from a page (via the API) until you attempt to publish. See T194585

TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.May 29 2018, 4:14 PM
Vvjjkkii renamed this task from UserIsBlockedFrom is ignored on mobile until the user attempts to publish to 51caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 51caaaaaaa to UserIsBlockedFrom is ignored on mobile until the user attempts to publish.Jul 2 2018, 4:15 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.